## org.eclipse.datatools.modelbase.sql.query.impl
Class QueryExpressionBodyImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
                          org.eclipse.datatools.modelbase.sql.query.impl.QueryExpressionBodyImpl

All Implemented Interfaces:
  QueryExpressionBody, SQLObject, SQLQueryObject, TableExpression, TableReference

Direct Known Subclasses:
  QueryCombinedImpl, QuerySelectImpl, QueryValuesImpl

public abstract class QueryExpressionBodyImpl
extends TableExpressionImpl
implements QueryExpressionBody

An implementation of the model object 'Expression Body'.

The following features are implemented:

- `Query Expression`
- `Combined Left`
- `Combined Right`
- `Predicate Exists`
- `Update Source Query`
- `With Table Specification`

See Also:
  Serialized Form

Method Summary
`NotificationChain` `eBasicRemoveFromContainer(NotificationChain msgs)`
`java.lang.Object` `eGet(EStructuralFeature eFeature, boolean resolve)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, java.lang.Class baseClass, NotificationChain msgs)`
`boolean` `eIsSet(EStructuralFeature eFeature)`
`void` `eSet(EStructuralFeature eFeature, java.lang.Object newValue)`
`void` `eUnset(EStructuralFeature eFeature)`
`QueryCombined` `getCombinedLeft()`
`QueryCombined` `getCombinedRight()`
`PredicateExists` `getPredicateExists()`
`QueryExpressionRoot` `getQueryExpression()`
`UpdateSourceQuery` `getUpdateSourceQuery()`
`WithTableSpecification` `getWithTableSpecification()`
`void` `setCombinedLeft(QueryCombined newCombinedLeft)`
`void` `setCombinedRight(QueryCombined newCombinedRight)`
`void` `setPredicateExists(PredicateExists newPredicateExists)`
`void` `setQueryExpression(QueryExpressionRoot newQueryExpression)`
`void` `setUpdateSourceQuery(UpdateSourceQuery newUpdateSourceQuery)`
`void` `setWithTableSpecification(WithTableSpecification newWithTableSpecification)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableExpressionImpl
`basicSetTableCorrelation, getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl

`addEAnnotation, addEAnnotationDetail, createDataObject, createDataObject, createDataObject, createDataObject, createDataObject, delete, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, get, get, getBigDecimal, getBigDecimal, getBigInteger, getBigInteger, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getChar, getChar, getComments, getContainer, getContainmentProperty, getDataGraph, getDataObject, getDataObject, getDate, getDate, getDependencies, getDescription, getDouble, getDouble, getEAnnotation, getEAnnotationDetail, getFloat, getFloat, getInstanceProperties, getInt, getInt, getLabel, getList, getList, getLong, getLong, getSequence, getSequence, getShort, getShort, getString, getString, getType, isSet, isSet, removeEAnnotationDetail, set, set, setAnnotationDetail, setBigDecimal, setBigDecimal, setBigInteger, setBigInteger, setBoolean, setBoolean, setByte, setByte, setBytes, setBytes, setChar, setChar, setDataObject, setDataObject, setDate, setDate, setDescription, setDouble, setDouble, setFloat, setFloat, setInt, setInt, setLabel, setList, setList, setLong, setLong, setShort, setShort, setString, setString, toString, unset, unset, writeReplace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableExpression
`getColumnList, getResultTableAllColumns, getTableCorrelation, getValueExprColumns, setTableCorrelation`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getQueryExpression

    public QueryExpressionRoot getQueryExpression()

  Specified by:
    `getQueryExpression` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Query Expression' container reference.
  See Also:
    `QueryExpressionBody.setQueryExpression(QueryExpressionRoot)`, `SQLQueryModelPackage.getQueryExpressionBody_QueryExpression()`, `QueryExpressionRoot.getQuery()`

### setQueryExpression

    public void setQueryExpression(QueryExpressionRoot newQueryExpression)

  Specified by:
    `setQueryExpression` in interface `QueryExpressionBody`
  Parameters:
    `newQueryExpression` - the new value of the 'Query Expression' container reference.
  See Also:
    `QueryExpressionBody.getQueryExpression()`

### getCombinedLeft

    public QueryCombined getCombinedLeft()

  Specified by:
    `getCombinedLeft` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Combined Left' container reference.
  See Also:
    `QueryExpressionBody.setCombinedLeft(QueryCombined)`, `SQLQueryModelPackage.getQueryExpressionBody_CombinedLeft()`, `QueryCombined.getLeftQuery()`

### setCombinedLeft

    public void setCombinedLeft(QueryCombined newCombinedLeft)

  Specified by:
    `setCombinedLeft` in interface `QueryExpressionBody`
  Parameters:
    `newCombinedLeft` - the new value of the 'Combined Left' container reference.
  See Also:
    `QueryExpressionBody.getCombinedLeft()`

### getCombinedRight

    public QueryCombined getCombinedRight()

  Specified by:
    `getCombinedRight` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Combined Right' container reference.
  See Also:
    `QueryExpressionBody.setCombinedRight(QueryCombined)`, `SQLQueryModelPackage.getQueryExpressionBody_CombinedRight()`, `QueryCombined.getRightQuery()`

### setCombinedRight

    public void setCombinedRight(QueryCombined newCombinedRight)

  Specified by:
    `setCombinedRight` in interface `QueryExpressionBody`
  Parameters:
    `newCombinedRight` - the new value of the 'Combined Right' container reference.
  See Also:
    `QueryExpressionBody.getCombinedRight()`

### getPredicateExists

    public PredicateExists getPredicateExists()

  Specified by:
    `getPredicateExists` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Predicate Exists' container reference.
  See Also:
    `QueryExpressionBody.setPredicateExists(PredicateExists)`, `SQLQueryModelPackage.getQueryExpressionBody_PredicateExists()`, `PredicateExists.getQueryExpr()`

### setPredicateExists

    public void setPredicateExists(PredicateExists newPredicateExists)

  Specified by:
    `setPredicateExists` in interface `QueryExpressionBody`
  Parameters:
    `newPredicateExists` - the new value of the 'Predicate Exists' container reference.
  See Also:
    `QueryExpressionBody.getPredicateExists()`

### getUpdateSourceQuery

    public UpdateSourceQuery getUpdateSourceQuery()

  Specified by:
    `getUpdateSourceQuery` in interface `QueryExpressionBody`
  Returns:
    the value of the 'Update Source Query' container reference.
  See Also:
    `QueryExpressionBody.setUpdateSourceQuery(UpdateSourceQuery)`, `SQLQueryModelPackage.getQueryExpressionBody_UpdateSourceQuery()`, `UpdateSourceQuery.getQueryExpr()`

### setUpdateSourceQuery

    public void setUpdateSourceQuery(UpdateSourceQuery newUpdateSourceQuery)

  Specified by:
    `setUpdateSourceQuery` in interface `QueryExpressionBody`
  Parameters:
    `newUpdateSourceQuery` - the new value of the 'Update Source Query' container reference.
  See Also:
    `QueryExpressionBody.getUpdateSourceQuery()`

### getWithTableSpecification

    public WithTableSpecification getWithTableSpecification()

  Specified by:
    `getWithTableSpecification` in interface `QueryExpressionBody`
  Returns:
    the value of the 'With Table Specification' container reference.
  See Also:
    `QueryExpressionBody.setWithTableSpecification(WithTableSpecification)`, `SQLQueryModelPackage.getQueryExpressionBody_WithTableSpecification()`, `WithTableSpecification.getWithTableQueryExpr()`

### setWithTableSpecification

    public void setWithTableSpecification(WithTableSpecification newWithTableSpecification)

  Specified by:
    `setWithTableSpecification` in interface `QueryExpressionBody`
  Parameters:
    `newWithTableSpecification` - the new value of the 'With Table Specification' container reference.
  See Also:
    `QueryExpressionBody.getWithTableSpecification()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         java.lang.Class baseClass,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TableExpressionImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            java.lang.Class baseClass,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TableExpressionImpl`

### eBasicRemoveFromContainer

    public NotificationChain eBasicRemoveFromContainer(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainer` in class `TableExpressionImpl`

### eGet

    public java.lang.Object eGet(EStructuralFeature eFeature,
                                 boolean resolve)

  Overrides:
    `eGet` in class `TableExpressionImpl`

### eSet

    public void eSet(EStructuralFeature eFeature,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TableExpressionImpl`

### eUnset

    public void eUnset(EStructuralFeature eFeature)

  Overrides:
    `eUnset` in class `TableExpressionImpl`

### eIsSet

    public boolean eIsSet(EStructuralFeature eFeature)

  Overrides:
    `eIsSet` in class `TableExpressionImpl`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.